%define	basefontdir	%{_datadir}/fonts/cjk
%define	ttfontdir	%{basefontdir}
%define cidmapdir   %{_sysconfdir}/ghostscript

%define ver 0.1
%define minor 20060928
%define rhpatch orig

Summary:    CJK Unifonts Project -- Unicode CJK Font Ming Face.
Name:		fonts-cjk-uming
Version:    1.olpc1
Release:	1%{?dist}
License:	Arphic Public License (GPL-like)
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source0:    ttf-arphic-uming_%{ver}.%{minor}.%{rhpatch}.tar.gz
Source1:	arphicpl.txt
Source2:	arphic-release.txt
Source3:	FAPIcidfmap.zh_TW
Source4:	FAPIcidfmap.zh_CN
Source5:	cidfmap.zh_TW
Source6:	cidfmap.zh_CN
Source7:       CIDFnmap.zh_TW
Source8:       CIDFnmap.zh_CN

Requires(post): fontconfig
Requires(postun): fontconfig

%description
"AR PL ShanHeiSun Uni" is a high-quality Chinese Unicode TrueType font (uming.ttf) derieved from the original "AR PL Mingti2L Big5" and "AR PL SungtiL GB" fonts generously provided by Arphic Technology to the Free Software community under the "Arphic Public License".

It has been extended from the original "AR PL Mingti2L Big5" and "AR PL SungtiL GB" fonts with additional glyphs now covering ISO8859-1,2,3,4,7,9,10,13,14,15, BIG5 and GB2312-80. It also includes Bopomofo Extensions for Hakka and Minnan according to the Unicode 4.0 standard. MBE variants of those glyphs are also included. Support for HKSCS, CNS 11643, GB 18030, Japanese and Korean is under heavy development. Users who need more Hanzi than provided by GB2312 and Big5 or who need support for Chinese minority languages may want to install this font package.


%prep
tar xzvf %{SOURCE0} 

%build
mkdir -p %{name}-%{version}/doc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{ttfontdir}
install -m 0644 ttf-arphic-uming-%{ver}.%{minor}/uming.ttf $RPM_BUILD_ROOT%{ttfontdir}/


# for ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE8} $RPM_BUILD_ROOT%{cidmapdir}/

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/doc/
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/doc/release.txt


# for dummy
touch $RPM_BUILD_ROOT%{basefontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
{
	#Update fontconfig cache
	[  -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null

}

%postun
if [ "$1" = 0 ];
then
    umask 133
    /usr/sbin/chkfontpath -q -r %{ttfontdir}

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null
fi

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{version}/doc/
%dir %{basefontdir}
%dir %{ttfontdir}
%dir %{cidmapdir}
%{ttfontdir}
%ghost %verify(not md5 size mtime) %{basefontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.cache-1
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN


%changelog
* Wed Aug 1 2007 Andrew Lee <andrew@linux.org.tw> 1.olpc1-1
- Initial version for OLPC based on CJK Unifont and fonts-chinese.rpm
